English

Bug: NIM079768: Oracle enterprise geodatabase upgrade may crash if a long password and/or connection string is used

Description

When trying to upgrade an Oracle Enterprise geodatabase to 10.0 or 10.1 through a connection that uses a long Oracle easy connection string, the upgrade may crash during the geodatabase schema update.

Cause

There is an internal string length limitation that the total length of the user password and the connection string, in combination, must be less than 31 characters. When the total length of the password and the connection exceeds this limitation, upgrade may crash due to a memory corruption.

This issue is planned to be addressed at 10.0 SP5 and 10.1 SP1.

Workaround

Create a TNS entry with a shorter length for the Oracle instance, and use the TNS entry for the geodatabase connection to perform the upgrade. Also, if needed, use a shorter password.

    Related Information